<?php
/**
 * The template for displaying the add to wishlist form on product archive and single pages
 *
 * This template can be overridden by copying it to:
 * yourtheme/nm-gift-registry-lite/add-to-wishlist/form.php
 *
 * The template may also be updated in future versions of the plugin.
 * In such case you would need to copy the new template to your theme to maintain compatibility
 *
 * @package NM Gift Registry Lite/Templates
 * @version 1.0.0
 */
defined( 'ABSPATH' ) || exit;

global $product;
?>

<div class="nmgr-add-to-wishlist-wrapper">
	<form id="<?php echo esc_attr($form_id); ?>"
				class="<?php echo esc_attr($form_class); ?>"
				method="<?php echo esc_attr(isset( $permalink ) ? 'get' : 'post'); ?>"
				action="<?php echo isset( $permalink ) ? esc_url( $permalink ) : ''; ?>"
				aria-haspopup="dialog"
				aria-expanded="false"
				enctype='multipart/form-data'
				<?php echo $form_attributes; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>>

		<?php echo nmgr_kses_post($button); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>

		<?php
		/**
		 * If we're using the button as an anchor, simply print the anchor
		 */
		if ( isset( $permalink ) ) :

			if ( isset( $permalink_args ) ) :
				foreach ( $permalink_args as $key => $value ) {
					printf( '<input type="hidden" name="%1$s" value="%2$s">', esc_attr( $key ), esc_attr( $value ) );
				}
			endif;

		/**
		 * Else print the add to wishlist form
		 */
		else:
			?>
			<input type="hidden" name="<?php echo esc_attr(nmgr_query_key( 'product_id' )); ?>" value="<?php echo absint($product->get_id()); ?>" />
			<input type="hidden" name="<?php echo esc_attr(nmgr_query_key( 'wishlist_id' )); ?>" value="<?php echo absint($wishlists[ 0 ]->get_id()); ?>" />

			<?php if ( !is_nmgr_shop_loop() && $product->is_type( 'variable' ) ): ?>
				<input type="hidden" name="<?php echo esc_attr(nmgr_query_key( 'variation_id' )); ?>" value="0" />
				<input type="hidden" name="nmgr_wc_form_values" value="" />
			<?php endif; ?>

			<?php
			if ( $show_dropdown_menu ) {
				nmgr_template( 'add-to-wishlist/dropdown-menu.php', $args );
			}
			?>

		<?php endif; ?>

	</form>
</div>
